| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
Seis2DTo3D Class Reference
Seis

`#include <seis2dto3d.h>`

Inheritance diagram for Seis2DTo3D:
[legend]

## Public Member Functions
| Seis2DTo3D ()
| ~Seis2DTo3D ()
bool | finishWrite ()
bool | init (const IOPar &)
int | nextStep () override
od_int64 | nrDone () const override
od_int64 | totalNr () const override
uiString | uiMessage () const override
uiString | uiNrDoneText () const override
bool | useNearestOnly () const
Public Member Functions inherited from Executor
| Executor (const char *nm)
virtual | ~Executor ()
int | doStep () override
bool | execute () override
bool | go (od_ostream &s, bool isfirst=true, bool islast=true, int delaybtwnstepsinms=0)
bool | go (od_ostream *s=0, bool isfirst=true, bool islast=true, int delaybtwnstepsinms=0)
Public Member Functions inherited from SequentialTask
| SequentialTask (const char *nm=nullptr)
virtual | ~SequentialTask ()
bool | execute () override
Public Member Functions inherited from ReportingTask
| ReportingTask (const ReportingTask &)=delete
virtual | ~ReportingTask ()
void | getProgress (const ReportingTask &)
ReportingTask & | operator= (const ReportingTask &)=delete
void | setSimpleMeter (bool yn, int repperc)
int | simpleMeterStep () const
bool | useSimpleMeter () const
Public Member Functions inherited from Task
| Task (const Task &)=delete
virtual | ~Task ()
virtual void | controlWork (Control)
virtual void | enableWorkControl (bool=true)
| Must be called before execute()
virtual uiRetVal | errorWithDetails () const
virtual Control | getState () const
Task & | operator= (const Task &)=delete
bool | workControlEnabled () const
Public Member Functions inherited from NamedCallBacker
| NamedCallBacker (const char *nm=nullptr)
| NamedCallBacker (const NamedCallBacker &)=delete
| ~NamedCallBacker ()
virtual Notifier< NamedCallBacker > & | objectToBeDeleted () const
NamedCallBacker & | operator= (const NamedCallBacker &)=delete
bool | operator== (const NamedCallBacker &oth) const
bool | operator== (const NamedObject &oth) const
Public Member Functions inherited from CallBacker
| CallBacker ()
| CallBacker (const CallBacker &)
virtual | ~CallBacker ()
bool | attachCB (const NotifierAccess &, const CallBack &, bool onlyifnew=false) const
bool | attachCB (const NotifierAccess *notif, const CallBack &cb, bool onlyifnew=false) const
void | detachAllNotifiers () const
| Call from the destructor of your inherited object.
void | detachCB (const NotifierAccess &, const CallBack &) const
void | detachCB (const NotifierAccess *notif, const CallBack &cb) const
virtual bool | isCapsule () const
bool | isNotifierAttached (const NotifierAccess *) const
| Only for debugging purposes, don't use.
CallBacker & | operator= (const CallBacker &)=delete
void | stopReceivingNotifications () const
virtual CallBacker * | trueCaller ()
Public Member Functions inherited from NamedObject
| NamedObject (const char *nm=nullptr)
| NamedObject (const NamedObject &oth)
virtual | ~NamedObject ()
virtual BufferString | getName () const
bool | getNameFromPar (const IOPar &)
const name_type & | name () const override
NamedObject & | operator= (const NamedObject &)
bool | operator== (const NamedObject &oth) const
virtual void | setName (const char *nm)
Public Member Functions inherited from ObjectWithName
virtual | ~ObjectWithName ()
bool | hasName (const char *nm) const
bool | hasName (const name_type &nm) const
void | putNameInPar (IOPar &) const

## Static Public Member Functions
static BufferString | getCreatorFormat ()
static const char * | sKeyCreaterType ()
static const char * | sKeyInput ()
static const char * | sKeyIsNearest ()
static const char * | sKeyMaxVel ()
static const char * | sKeyReUse ()
static const char * | sKeyStepout ()
Static Public Member Functions inherited from SequentialTask
static int | ErrorOccurred ()
static int | Finished ()
static int | MoreToDo ()
static int | WarningAvailable ()
Static Public Member Functions inherited from ReportingTask
static PtrMan< ProgressMeter > | getTextProgressMeter (od_ostream &, const IOPar *iop=nullptr)
static bool | needSimpleLogging (const IOPar &)
static const char * | sKeySimpleLogging ()
static const char * | sKeySimpleLoggingStep ()
Static Public Member Functions inherited from Task
static uiString | uiStdNrDoneText ()
Static Public Member Functions inherited from CallBacker
static void | createReceiverForCurrentThread ()
static void | removeReceiverForCurrentThread ()

## Protected Member Functions
bool | checkParameters ()
bool | doWorkFFT ()
void | doWorkNearest ()
bool | read ()
bool | setIO (const IOPar &)
bool | usePar (const IOPar &)
bool | writeTmpTrcs ()
Protected Member Functions inherited from Executor
virtual bool | goImpl (od_ostream *, bool, bool, int)
Protected Member Functions inherited from SequentialTask
virtual bool | doFinish (bool success, od_ostream *=nullptr)
virtual bool | doPrepare (od_ostream *=nullptr)
Protected Member Functions inherited from ReportingTask
| ReportingTask (const char *nm=nullptr)
void | incrementProgress ()
ProgressMeter * | progressMeter () const
void | reportProgressFinished ()
void | reportProgressStarted ()
void | resetProgress ()
void | setProgressMeter (ProgressMeter *) override
| Must be called before execute()
void | updateProgressMeter (bool forced=false, od_int64 *totalnr=0)
void | updateReportedName ()
Protected Member Functions inherited from Task
| Task (const char *nm=nullptr)
virtual bool | shouldContinue ()
Protected Member Functions inherited from NamedCallBacker
void | sendDelNotif () const

## Protected Attributes
int | crlstep_ = 0
BinID | curbid_
uiString | errmsg_
TrcKeySamplingIterator | hsit_
IOObj * | inioobj_ = nullptr
int | inlstep_ = 0
SeisInterpol | interpol_
float | maxvel_ = mUdf(float)
bool | nearesttrace_ = true
int | nrdone_ = 0
int | nriter_
IOObj * | outioobj_ = nullptr
BinID | prevbid_
bool | read_ = false
bool | reusetrcs_ = false
SeisScaler * | sc_ = nullptr
SeisTrcBuf & | seisbuf_
TrcKeySampling | seisbuftks_
TrcKeyZSampling | tkzs_
SeisTrcBuf | tmpseisbuf_
int | totnr_ = 0
SeisTrcWriter * | wrr_ = nullptr
Protected Attributes inherited from Task
Control | control_ = Task::Run
Threads::ConditionVar * | workcontrolcondvar_ = nullptr
Protected Attributes inherited from NamedCallBacker
Threads::Atomic< bool > | delalreadytriggered_
Notifier< NamedCallBacker > | delnotif_
Protected Attributes inherited from NamedObject
BufferString | name_

## Additional Inherited Members
Public Types inherited from Task
enum | Control { Run , Pause , Stop }
Public Types inherited from ObjectWithName
typedef OD::String | name_type
Public Attributes inherited from Executor
Notifier< Executor > | poststep
| Only when MoreToDo will be returned.
Notifier< Executor > | prestep
Public Attributes inherited from ReportingTask
Notifier< ReportingTask > | progressUpdated

## Detailed Description

<>

## Constructor & Destructor Documentation

## ◆ Seis2DTo3D()

Seis2DTo3D::Seis2DTo3D | ( |  | ) |

## ◆ ~Seis2DTo3D()

Seis2DTo3D::~Seis2DTo3D | ( |  | ) |

## Member Function Documentation

## ◆ checkParameters()

bool Seis2DTo3D::checkParameters | ( |  | ) |
| protected

## ◆ doWorkFFT()

bool Seis2DTo3D::doWorkFFT | ( |  | ) |
| protected

## ◆ doWorkNearest()

void Seis2DTo3D::doWorkNearest | ( |  | ) |
| protected

## ◆ finishWrite()

bool Seis2DTo3D::finishWrite | ( |  | ) |
| inline

## ◆ getCreatorFormat()

static BufferString Seis2DTo3D::getCreatorFormat | ( |  | ) |
| inline static

## ◆ init()

bool Seis2DTo3D::init | ( | const IOPar & |  | ) |

## ◆ nextStep()

int Seis2DTo3D::nextStep | ( |  | ) |
| override virtual

Return values

  MoreToDo() | Not finished. Call me again.
  Finished() | Nothing more to do.
  ErrorOccurred() | Something went wrong.

Note
  if function returns a value greater than cMoreToDo(), it should be interpreted as cMoreToDo().

Implements SequentialTask.

## ◆ nrDone()

od_int64 Seis2DTo3D::nrDone | ( |  | ) | const
| inline override virtual

Note
  nrDone is only used for displaying progress and will be compared to totalNr to show user how large part of the task that is finished.

Reimplemented from Task.

## ◆ read()

bool Seis2DTo3D::read | ( |  | ) |
| protected

## ◆ setIO()

bool Seis2DTo3D::setIO | ( | const IOPar & |  | ) |
| protected

## ◆ sKeyCreaterType()

static const char * Seis2DTo3D::sKeyCreaterType | ( |  | ) |
| static

## ◆ sKeyInput()

static const char * Seis2DTo3D::sKeyInput | ( |  | ) |
| static

## ◆ sKeyIsNearest()

static const char * Seis2DTo3D::sKeyIsNearest | ( |  | ) |
| static

## ◆ sKeyMaxVel()

static const char * Seis2DTo3D::sKeyMaxVel | ( |  | ) |
| static

## ◆ sKeyReUse()

static const char * Seis2DTo3D::sKeyReUse | ( |  | ) |
| static

## ◆ sKeyStepout()

static const char * Seis2DTo3D::sKeyStepout | ( |  | ) |
| static

## ◆ totalNr()

od_int64 Seis2DTo3D::totalNr | ( |  | ) | const
| override virtual

Reimplemented from Task.

## ◆ uiMessage()

uiString Seis2DTo3D::uiMessage | ( |  | ) | const
| inline override virtual

Reimplemented from Task.

## ◆ uiNrDoneText()

uiString Seis2DTo3D::uiNrDoneText | ( |  | ) | const
| inline override virtual

Reimplemented from Task.

## ◆ useNearestOnly()

bool Seis2DTo3D::useNearestOnly | ( |  | ) | const
| inline

## ◆ usePar()

bool Seis2DTo3D::usePar | ( | const IOPar & |  | ) |
| protected

## ◆ writeTmpTrcs()

bool Seis2DTo3D::writeTmpTrcs | ( |  | ) |
| protected

## Member Data Documentation

## ◆ crlstep_

int Seis2DTo3D::crlstep_ = 0
| protected

## ◆ curbid_

BinID Seis2DTo3D::curbid_
| protected

## ◆ errmsg_

uiString Seis2DTo3D::errmsg_
| protected

## ◆ hsit_

TrcKeySamplingIterator Seis2DTo3D::hsit_
| protected

## ◆ inioobj_

IOObj* Seis2DTo3D::inioobj_ = nullptr
| protected

## ◆ inlstep_

int Seis2DTo3D::inlstep_ = 0
| protected

## ◆ interpol_

SeisInterpol Seis2DTo3D::interpol_
| protected

## ◆ maxvel_

float Seis2DTo3D::maxvel_ = mUdf(float)
| protected

## ◆ nearesttrace_

bool Seis2DTo3D::nearesttrace_ = true
| protected

## ◆ nrdone_

int Seis2DTo3D::nrdone_ = 0
| protected

## ◆ nriter_

int Seis2DTo3D::nriter_
| protected

## ◆ outioobj_

IOObj* Seis2DTo3D::outioobj_ = nullptr
| protected

## ◆ prevbid_

BinID Seis2DTo3D::prevbid_
| protected

## ◆ read_

bool Seis2DTo3D::read_ = false
| protected

## ◆ reusetrcs_

bool Seis2DTo3D::reusetrcs_ = false
| protected

## ◆ sc_

SeisScaler* Seis2DTo3D::sc_ = nullptr
| protected

## ◆ seisbuf_

SeisTrcBuf& Seis2DTo3D::seisbuf_
| protected

## ◆ seisbuftks_

TrcKeySampling Seis2DTo3D::seisbuftks_
| protected

## ◆ tkzs_

TrcKeyZSampling Seis2DTo3D::tkzs_
| protected

## ◆ tmpseisbuf_

SeisTrcBuf Seis2DTo3D::tmpseisbuf_
| protected

## ◆ totnr_

int Seis2DTo3D::totnr_ = 0
| mutable protected

## ◆ wrr_

SeisTrcWriter* Seis2DTo3D::wrr_ = nullptr
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025